Summary: 	Advanced, elegant jukebox style music player
Name:		quodlibet
Version:	2.1
Release: 	%mkrel 1
License:	GPLv2+
Group:		Sound
URL:		http://code.google.com/p/quodlibet/
Source0:	http://quodlibet.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	imagemagick
BuildRequires:	pygtk2.0-devel
BuildRequires:	pyvorbis
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	gstreamer0.10-python
BuildRequires:	mutagen
BuildRequires:	python-dbus
BuildRequires:	liboil-devel
BuildRequires:	python-feedparser
Requires:	pygtk2.0
Requires:	python-ctypes
Requires:	pyvorbis
Requires:	gstreamer0.10-python
Requires:	python-feedparser
Requires:	mutagen
# for Replay Gain plugin
Requires:       vorbisgain
# for iPod device support
Requires:       python-gpod
# for CDDB plugin
Requires:       python-CDDB
Requires:	python-dbus
Requires:	python-feedparser
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Quod Libet is a GTK+-based audio player written in Python. It's designed
around the idea that you know better than we do how to organize your music.
It lets you make playlists based on regular expressions (don't worry,
regular searches work too). It lets you display and edit any tags you want
in the file.

It supports Ogg Vorbis and MP3 by default, but other formats (FLAC, Musepack,
Wavepack, MPEG-4/AAC and MOD are available through gstreamer0.10 plugins.

Quod Libet easily scales to libraries of thousands of songs. It also supports
most of the features you expect from a modern media player, like Unicode
support, gapless playback, multimedia keys, and an OSD. 

%prep
%setup -q

%build
export CFLAGS="%{optflags}"

python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot} --prefix=%{_prefix}

# (tpg) install icons
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 build/lib/quodlibet/images/exfalso.png %{buildroot}%{_datadir}/pixmaps
install -m 644 build/lib/quodlibet/images/%{name}.png %{buildroot}%{_datadir}/pixmaps

# (tpg) get rid of extension
sed -i -e 's/^Icon=%{name}.png$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*
sed -i -e 's/^Icon=exfalso.png$/Icon=exfalso/g' %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README HACKING
%{_bindir}/%{name}
%{_bindir}/exfalso
%{py_sitedir}/%{name}
%{py_sitedir}/%{name}*.egg-info
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*


%changelog
* Wed Jul 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1-1mdv2009.0
+ Revision: 404348
- update to new version 2.1
- drop patch 0
- spec file clean

* Sat Jan 10 2009 Funda Wang <fundawang@mandriva.org> 2.0-2mdv2009.1
+ Revision: 327949
- fix build with python 2.6 (upstrem patch)

* Thu Sep 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0-1mdv2009.1
+ Revision: 285739
- update to new version 2.0
- fix urls
- new license policy
- add few missing buildrequires and requires
- fix file list

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-6mdv2009.0
+ Revision: 260004
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-5mdv2009.0
+ Revision: 247805
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-3mdv2008.1
+ Revision: 148344
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0-3mdv2008.0
+ Revision: 36196
- rebuild with correct optflags

* Tue Jun 05 2007 Jérôme Soyer <saispo@mandriva.org> 1.0-2mdv2008.0
+ Revision: 35798
- Add Requires

* Tue Jun 05 2007 Jérôme Soyer <saispo@mandriva.org> 1.0-1mdv2008.0
+ Revision: 35786
- New release 1.0
- New release
- New release

  + Austin Acton <austin@mandriva.org>
    - new version


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.24-2mdv2007.0
+ Revision: 132106
- forgot xdg tag

* Wed Feb 28 2007 Emmanuel Andry <eandry@mandriva.org> 0.24-2mdv2007.1
+ Revision: 129304
- buildrequires gstreamer0.10-python
- buildrequires mutagen

* Tue Feb 27 2007 Emmanuel Andry <eandry@mandriva.org> 0.24-1mdv2007.1
+ Revision: 126756
- buildrequires intltool

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 0.24
    - Import quodlibet

* Sun Sep 17 2006 Emmanuel Andry <eandry@mandriva.org> 0.23.1-1mdv2007.0
- New release 0.23.1
- xdg menu

* Fri Jul 07 2006 Austin Acton <austin@mandriva.org> 0.22-1mdv2007.0
- New release 0.22

* Fri Jun 16 2006 Jerome Soyer <saispo@mandriva.org> 0.21.1-1mdv2007.0
- New release 0.21.1

* Mon Jun 12 2006 Jerome Soyer <saispo@mandriva.org> 0.21-1mdk
- New release 0.21

* Wed May 03 2006 Austin Acton <austin@mandriva.org> 0.20-1mdk
- New release 0.20

* Thu Apr 06 2006 Austin Acton <austin@mandriva.org> 0.19.1-1mdk
- New release 0.19.1

* Tue Apr 04 2006 Austin Acton <austin@mandriva.org> 0.19-1mdk
- 0.19
- remove pymad
- require mutagen

* Fri Mar 03 2006 Austin Acton <austin@mandriva.org> 0.18-1mdk
- New release 0.18
- gstreamer0.10 required
- change buildrequires and description

* Sat Feb 11 2006 Michael Scherer <misc@mandriva.org> 0.17.1-1mdk
- New release 0.17.1

* Sun Jan 15 2006 Austin Acton <austin@mandriva.org> 0.16-1mdk
- New release 0.16

* Thu Nov 17 2005 Lenny Cartier <lenny@mandriva.com> 0.15-1mdk
- 0.15

* Mon Nov 07 2005 Austin Acton <austin@mandriva.org> 0.14-3mdk
- requires and buildrequires

* Sun Nov 06 2005 Austin Acton <austin@mandriva.org> 0.14-2mdk
- build binary extensions; move out of noarch

* Thu Oct 27 2005 Lenny Cartier <lenny@mandriva.com> 0.14-1mdk
- 0.14

* Wed Oct 12 2005 Austin Acton <austin@mandriva.org> 0.13.1-2mdk
- requires gstreamer-python

* Wed Oct 05 2005 Austin Acton <austin@mandriva.org> 0.13.1-1mdk
- New release 0.13.1

* Mon Aug 15 2005 Austin Acton <austin@mandriva.org> 0.12-1mdk
- initial package

